import {httpApi} from "../../request/httpApi";

export default {
    //列表数据
    async page(form) {
        return httpApi({
            url: '/api/blade-user/page',
            method: 'get',
            params: form
        }, false);
    },
    //删除
    async remove(ids) {
        return httpApi({
            url: '/api/blade-user/remove',
            method: 'post',
            params: {
                ids,
            }
        }, false);
    },
    //修改
    async update(form) {
        return httpApi({
            url: '/api/blade-user/update',
            method: 'post',
            data: form
        }, false);
    },
    //提交
    async submit(form) {
        return httpApi({
            url: '/api/blade-user/submit',
            method: 'post',
            data: form
        }, false);
    },
}
